package SCouT;

import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.JobConf;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;

public class ConvertColumnwise {
	/*********************************************************************************
	 * 
	 * ConvertRowwiseMapper: Converts factor matrix to rowwise formatted factor
	 * Input: 
	 *	- factor: key<>, value<row, col, factor value, col, factor value, ... , col, factor value>  
	 * Output: 
	 *	- key<row>, value<col, factor value>  
	 *
	 *********************************************************************************/
	public static class ConvertColumnwiseMapper extends MapReduceBase	implements Mapper<LongWritable, Text, LongWritable, Text>
	{
		int current_mode = 0;	// current_mode
		public void configure(JobConf job) {
			current_mode = Integer.parseInt(job.get("current_mode"));
			System.out.println("ConvertColumnwiseMapper : current_mode = " + current_mode);
		}
		public void map (final LongWritable key, final Text value, final OutputCollector<LongWritable, Text> output, final Reporter reporter) throws IOException
		{
			String line_text = value.toString();
			final String[] line = line_text.split("\t");
			long row = Long.parseLong(line[0]);

			for(int i=1; i<line.length; i+=2) {
				output.collect(new LongWritable(current_mode)  , new Text("" + row + "\t" + line[i] +"\t"+ line[i+1]) );
			}
		}
	}
}
