package SCouT;

import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.JobConf;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;

public class MatrixTranspose {
	/*********************************************************************************
	 * 
	 * MatrixTransposeMapper: Transpose a matrix
	 * Input: 
	 *	- factor: key<>, value<row, col, value>  
	 * Output: 
	 *	- key<col>, value<row, value>  
	 *
	 *********************************************************************************/
	public static class MatrixTransposeMapper extends MapReduceBase	implements Mapper<LongWritable, Text, Text, Text>
	{
		public void configure(JobConf job) {
			System.out.println("MatrixTransposeMapper");
		}
		public void map (final LongWritable key, final Text value, final OutputCollector<Text, Text> output, final Reporter reporter) throws IOException
		{
			String line_text = value.toString();
			final String[] line = line_text.split("\t");
			output.collect(new Text(line[1])  , new Text("" + line[0] +"\t"+ line[2]) );
		}
	}	
}
